# Uses of Enum Class
org.bukkit.event.inventory.ClickType

Packages that use ClickType
Package
Description
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.

## Uses of ClickType in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return ClickType
Modifier and Type
Method
Description
`@NotNull ClickType`
InventoryClickEvent.`getClick()`
Gets the ClickType for this event.
`static ClickType`
ClickType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClickType[]`
ClickType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.inventory with parameters of type ClickType
Modifier
Constructor
Description
``
`CraftItemEvent(@NotNull Recipe recipe, @NotNull InventoryView what, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
``
`CraftItemEvent(@NotNull Recipe recipe, @NotNull InventoryView what, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`
``
`InventoryClickEvent(@NotNull InventoryView view, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
``
`InventoryClickEvent(@NotNull InventoryView view, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`
``
`SmithItemEvent(@NotNull InventoryView view, InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
``
`SmithItemEvent(@NotNull InventoryView view, InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`